Subject: Re: [lojban] if

From: [email-masked]
Date: Sat, 1 Dec 2001 19:35:08 EST

In a message dated 12/1/2001 1:23:00 PM Central Standard Time, 
[email-masked] writes:

> My question is, how do you do if-then-else constructions?
> 
Since "if P then Q, else R", assuming that Q and R are meant to be exclusive 
of one another, involves making all or none of P, Q, ~R true, Refgram says at 
14.7 (342) that no combination of Lojban connectives can produce this without 
repeating at least one sentence. The most natural, then is (P iff Q) and (~P 
iff R): ga go P gi Q gi gonai P gi R. My memory (usual caveats) is that 
someone once proposed a single connective for this and that there is a way of 
dealing with it involving sets of statements, but I forget details on both. 
(If P and Q are not exclusive, the "iff" can be reduced to "only if" and 
there might be a simpler form -- there is a chart somewhere in some archive 
of what can and can't be done with three sentences and two connectives (plus 
various negations).)